<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->{% extends "base.html" %}
{% block content %}
{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}

<h3>{% trans "Card" %}</h3>
<div ng-controller="cardCreateController" ng-show="ready" class="ng-cloak">
  <div>
    <alert ng-repeat="alert in alerts" type="{{ 'alert.level' | ng }}" close="closeAlert($item)" ng-click="closeAlert($item)">{{ 'alert.message' | ng }}

    </alert>
  </div>
  <form ng-show="card" name="form">
    <div class="row">

      <div class="col-lg-6">
        <div class="form-group">
          <label>Type:</label>
          <select ng-model="type" ng-options="type.fields.name for type in card_types" class="form-control"></select>
          <label>{% trans "Title" %}:</label>
          <input type="text" ng-model="title" required="" id="input-title" name="title" class="form-control"/>
          <div ng-show="form.$submitted || form.title.$touched" class="form-control"><span ng-show="form.title.$error.required" class="help-block">{% trans "The title is required" %}</span>
          </div>
        </div>
      </div>

    </div>
    <div class="row">
      <div class="col-lg-6">
        <div class="form-group">
          <label>{% trans "Public price" %}:</label>
          <!-- price: avoid scanning a barcode in price -->
          <input type="number" step="0.01" min="0" max="10000"
              name="price"
              ng-model="price"
              ng-model-options="{ debounce: 500 }"
              class="form-control"/>
          <label>{% trans "Selling price" %} ({% trans "leave blank if it's the same than the public price" %}):</label>
          <input type="number"step="0.01" min="0"
              ng-model="selling_price"
              ng-model-options="{ debounce: 500 }"
              class="form-control"/>
          <label>{% trans "Shelf" %}:</label>
          <select ng-model="shelf" ng-options="cat.fields.name for cat in shelfs" class="form-control"></select>
        </div>

        <div>
          <label>{% trans "this card has no isbn" %}</label>
          <input type="checkbox" ng-model="no_isbn"/>
        </div>
        <label ng-show="!no_isbn">
          {% trans "isbn" %}
          <input type="text" ng-model="isbn" class="form-control"/>
        </label>

        <div>
          <label>{% trans "year of publication" %}:</label>
          <input name="year" type="number" min="1500" max="9999"
              ng-model="year_published"
              ng-model-options="{ debounce: 1000 }"
              class="form-control"/>
          <div ng-show="form.title.$touched" class="form-control">
            <span ng-show="form.year.$error.$invalid" class="help-block">{% trans "year_published is not valid" %}
            </span>
          </div>
          <label>{% trans "homepage" %}</label>
          <input type="url" ng-model="details_url" class="form-control"/>
        </div>
      </div>

      <div class="col-lg-6" ng-show="form.$invalid">
        <alert type="warning">
          {% trans "The form is not valid" %}
          <ul ng-repeat="(key, errors) in form.$error track by $index">
            <li ng-repeat="e in errors"> {{ 'e["$name"]' | ng }}: <strong>{{ 'e["$viewValue"]' | ng }}</strong> {% trans "is not valid" %}</li>
          </ul>
        </alert>
      </div>

    </div>
    <div class="row">
      <div class="col-lg-4">
        <label>{% trans "Minimal qty" %}</label>
        <input type="number" min="0" ng-model="threshold" class="form-control"/>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-6">
        <h4>{% trans "Authors" %}:</h4><span>
          <input type="text" ng-model="{% verbatim %} author_input {% endverbatim %}" uib-typeahead="{% verbatim %} author.fields.name for author in getItemsApi('/api/authors', $viewValue, 'authors_selected') {% endverbatim %}" typeahead-min-length="3" typeahead-wait-ms="300" typeahead-on-select="add_selected_item($item, 'author_input', 'authors_selected')"/><a target="_blank" href="/admin/search/author/add"><i class="glyphicon glyphicon-plus-sign"></i></a></span><span ng-repeat="auth in authors_selected"><span>{{ 'auth.fields.name ' | ng }}<i ng-click="remove_from_selection($index, 'authors_selected')" class="glyphicon glyphicon-remove"></i></span></span>
          <h4>{% trans "Publishers" %}</h4><span>
            <select ng-model="pubs_selected" ng-options="it.fields.name for it in publishers" class="form-control"></select><a target="_blank" href="/admin/search/publisher/add"><i class="glyphicon glyphicon-plus-sign"></i></a></span><span ng-repeat="pub in pubs_selected"><span>{{ 'pub.fields.name ' | ng }}<i ng-click="remove_from_selection($index, 'pubs_selected')" class="glyphicon glyphicon-remove"></i></span></span>
            <h4>{% trans "Supplier" %}: {{ 'distributor.repr' | ng }}</h4>
            <div class="col-lg-8"><span>{% trans "Change supplier" %}:
              <select ng-model="distributor_selected" ng-options="dist.repr for dist in distributor_list" class="form-control"></select></span><span><a target="_blank" href="/admin/search/distributor/add" title="{% trans "Create a supplier" %}"><i class="glyphicon glyphicon-plus-sign"></i></a></span>
            </div>
      </div>
    </div>
    <div class="row">
      <input value="{% trans 'Validate' %}" ng-click="validate('view')" type="submit" ng-disabled="form.$invalid" class="btn btn-primary"/>
    </div>
  </form>
</div>
{% endblock content %}
